Skip to content

Get Total Funds

Request

Provides an overview of your account's total valuation and available liquidity across all balances.

Returns total worth, total available (including overdraft), total cash, and overdraft details.

Example (Assuming GBP and USD has 1:1 exchange rate)

ScenarioGBP balanceUSD balanceTotal WorthTotal AvailableOverdraft UsageOverdraft Limit
Positive account value with no overdraft200002000200000
Positive account value with overdraft2000-10019002400100500
Negative account value with overdraft0-100-100400100500
Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

currencystringrequired

Currency code (ISO 4217 Alphabetic Code). All values will be converted to this currency.

Example:EUR
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/{profileId}/total-funds/EUR' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved total funds.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
totalWorthobject

Total worth of the account, including cash ledger balance and valuation of any asset portfolio if invested.

totalAvailableobject

Total available balance, which is the sum of cash ledger balance and any approved overdraft limit.

totalCashobject

Total cash balance across all balances, including group balances but excluding asset portfolios.

overdraftobject

Overdraft details for the account.

Response
{ "totalWorth": { "value": 2000, "currency": "EUR" }, "totalAvailable": { "value": 2500, "currency": "EUR" }, "totalCash": { "value": 2000, "currency": "EUR" }, "overdraft": { "limit": { "value": 500, "currency": "EUR" }, "used": { "value": 0, "currency": "EUR" }, "available": { "value": 500, "currency": "EUR" }, "availableByCurrency": [ {} ] } }